"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createHighlighter = createHighlighter;
exports.processTokens = processTokens;
var _core = require("vendor/shiki/core/core");
var _engineJavascript = require("vendor/shiki/core/engine-javascript");
async function initializeHighlighter(langs, themes) {
  return (0, _core.createHighlighterCore)({
    engine: (0, _engineJavascript.createJavaScriptRegexEngine)(),
    langs,
    themes
  });
}
async function createHighlighter({
  langs,
  themes
}) {
  if (!langs?.length || !themes?.length) {
    throw new Error('Please provide both `langs` and `themes` when creating a highlighter.');
  }
  try {
    const highlighter = await initializeHighlighter(langs, themes);
    console.log('Initialized highlighter:', highlighter);
    return highlighter;
  } catch (error) {
    console.error('Failed to create highlighter:', error);
    throw error;
  }
}
function processTokens(tokens) {
  return tokens.map(token => ({
    content: token.content,
    color: token.color || '#000000',
    fontStyle: token.fontStyle?.toString()
  }));
}
//# sourceMappingURL=index.js.map